<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/color_f6"
    android:clickable="true"
    android:focusable="true"
    android:orientation="vertical"
    tools:context=".ui.fragment.UpdateDeliveryFragment">

    <com.qmuiteam.qmui.widget.QMUITopBar
        android:id="@+id/top_bar_update_delivery"
        android:layout_width="match_parent"
        android:layout_height="@dimen/head_height"
        android:fitsSystemWindows="true"
        app:layout_constraintTop_toTopOf="parent"
        app:qmui_topbar_text_btn_color_state_list="@color/theme_white_color"
        app:qmui_topbar_title_color="@color/theme_white_color" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="運費範圍：" />

        <EditText
            android:id="@+id/et_min_delivery_fee"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="@dimen/dp_30"
            android:minWidth="@dimen/dp_80"
            android:background="@drawable/shape_white_search_bg"
            android:gravity="right|center_vertical"
            android:paddingLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10"
            android:inputType="numberDecimal"
            android:maxLines="1" />

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="——" />

        <EditText
            android:id="@+id/et_max_delivery_fee"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:minWidth="@dimen/dp_80"
            android:layout_height="@dimen/dp_30"
            android:layout_marginRight="@dimen/dp_20"
            android:paddingLeft="@dimen/dp_10"
            android:paddingRight="@dimen/dp_10"
            android:background="@drawable/shape_white_search_bg"
            android:gravity="right|center_vertical"
            android:inputType="numberDecimal"
            android:maxLines="1" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_2"
        android:background="@color/white"
        android:gravity="center_vertical"

        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="運費：" />

        <EditText
            android:id="@+id/ed_delivery_fee"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_30"
            android:background="@color/trans"
            android:gravity="right|center_vertical"
            android:inputType="numberDecimal"
            android:maxLines="1"
            android:paddingRight="@dimen/dp_20" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_2"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="最低消費：" />

        <EditText
            android:id="@+id/ed_start_delivery_fee"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="0dp"
            android:layout_height="@dimen/dp_30"
            android:layout_weight="0.7"
            android:background="@color/trans"
            android:gravity="right|center_vertical"
            android:inputType="numberDecimal"
            android:maxLines="1"
            android:paddingRight="@dimen/dp_20" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_delivery_type"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="配送類型：" />

        <TextView
            android:id="@+id/tv_delivery_type"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_10"
            android:text="短途送" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_black_next_arrow" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/layout_delivery_method"
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_2"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:text="配送方式：" />

        <TextView
            android:id="@+id/tv_delivery_method"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dp_10"
            android:text="本店配送" />

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_black_next_arrow" />

    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/dp_50"
        android:layout_marginTop="@dimen/dp_2"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="補差價：" />

        <EditText
            android:id="@+id/ed_difference_fee"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_30"
            android:background="@color/trans"
            android:gravity="right|center_vertical"
            android:inputType="numberDecimal"
            android:maxLines="1"
            android:paddingRight="@dimen/dp_20"
            android:text="0" />
    </LinearLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:minHeight="@dimen/dp_50"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingLeft="@dimen/dp_10">

        <TextView
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="描述：" />

        <EditText
            android:id="@+id/ed_desc"
            style="@style/otherOrderInfoDialogTextStyle"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:minHeight="@dimen/dp_30"
            android:background="@color/trans"
            android:gravity="right|center_vertical"
            android:paddingRight="@dimen/dp_20" />
    </LinearLayout>

    <com.qmuiteam.qmui.alpha.QMUIAlphaButton
        android:id="@+id/btn_save_delivery"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="@dimen/dp_10"
        android:layout_marginTop="@dimen/dp_30"
        android:layout_marginRight="@dimen/dp_10"
        android:layout_marginBottom="@dimen/dp_20"
        android:background="@drawable/shape_app_btn"
        android:gravity="center"
        android:paddingTop="@dimen/dp_10"
        android:paddingBottom="@dimen/dp_10"
        android:text="保存"
        android:textColor="@color/white"
        android:textSize="@dimen/dp_16" />
</LinearLayout>